summaryrefslogtreecommitdiffstats
path: root/upload.sh
diff options
context:
space:
mode:
Diffstat (limited to 'upload.sh')
-rwxr-xr-xupload.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/upload.sh b/upload.sh
new file mode 100755
index 0000000..a64e060
--- /dev/null
+++ b/upload.sh
@@ -0,0 +1,18 @@
+#! /usr/bin/env nix-shell
+#! nix-shell -p python3Packages.pelican -i bash
+
+set -xeuf
+
+SSH_HOST=euer.krebsco.de
+SSH_PORT=22
+SSH_USER=root
+SSH_TARGET_DIR=/var/www/blog.euer
+
+BASEDIR=$(dirname $(readlink -f $0))
+INPUTDIR=$BASEDIR/content
+OUTPUTDIR=$BASEDIR/output
+CONFFILE=$BASEDIR/pelicanconf.py
+PUBLISHCONF=$BASEDIR/publishconf.py
+
+pelican $INPUTDIR -o $OUTPUTDIR -s $CONFFILE
+rsync -a $OUTPUTDIR/. $SSH_USER@$SSH_HOST:$SSH_TARGET_DIR